cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Classic Agents and Appmon agents in the same installation

jcamps
Advisor

Hi all,

we've migrated our Dynatrace AppMon Server from 6.5 to 7.2. The
migration was done without upgrade the agent version so, all agents remain
in 6.5 versión.

Now we want to monitor new systems with the new Appmon Agent (7.2) server but we want to leave the old 6.5 agents in their 6.5 version. For this reason we've the check "Automatically update agents to latest version" disabled.

With the new version, by default all agent groups for the newly created system profiles choose the AppMon Agent versión and this is ok for us.

The problem appears when the new agents come to the server, in the Agents Overview I see they are with the "Classic Agent" and not with the "Appmon Agent".

The only way for these agents to use the Appmon Agent was enabling the check "Automatically update agents to latest version" and restarting the agents.

But we can't do that in production because we've thousands of agents in hundreds of agent groups that have to reamain in 6.5 version.

So, the question was: How can we do that? New agents in Appmon Agent and the old agents remain with the "freezed" version.


4 REPLIES 4

Actually the only Idea I have is to setup (maybe, I didn't test it) 2 collector instances? One 6.5 for old agents and another one 7.2 for new agents. 6.5 instance should keep agents on older version even if upgrade flag is set true. I'm not sure for 100% that old collector will work with Dynatrace server and if my idea is correct... Anyone? 🙂

Sebastian


Babar_Qayyum
Leader

Hello @Josep Maria Camps i R.

The idea from @sebastian k. is good and collector versions greater than 6.0 is supported with the latest version.

Have a look on the component compatibility.

https://www.dynatrace.com/support/doc/appmon/insta...

Make sure you should not make a collector's group if you are going to follow the suggested idea.

Regards,

Babar


Babar_Qayyum
Leader

Hello @Josep Maria Camps i R.

One more idea is coming in mind for the below situation e.g. switch the Classic agent with the AppMon agent.

The problem appears when the new agents come to the server, in the Agents Overview I see they are with the "Classic Agent" and not with the "Appmon Agent".

Have a look on the below link for more insight.

https://www.dynatrace.com/support/doc/appmon/insta...

I recently did with one of the application.

Regards,

Babar


It's good idea but problem is more complex. Being classic is one and staying on 6.5 is another. Switching agent group wont prevent appmon collector before upgrade. If there is no problem with staying classic on 7.2 version it can be done like that as well with less effort 🙂

Sebastian